#include <iostream>
#include <climits> // 作用: 用于获取整型的最大值 INT_MAX

using namespace std;

int main()
{
    int arr[10] = {};
    int sum = 0;       // 总和
    int max = INT_MIN; // 最大值： 初始化为整型的最小值
    int min = INT_MAX; // 最小值: 初始化为整型的最大值

    // 输入 10 个数
    int n = 0;
    while (n < 10)
    {
        cout << "请输入第" << n + 1 << "个数：";
        cin >> arr[n];
        n++;
    }

    // 输出 10 个数
    int i = 0;
    while (i < 10)
    {
        sum += arr[i]; // 累加求和

        if (arr[i] > max)
            max = arr[i]; // 更新最大值

        if (arr[i] < min)
            min = arr[i]; // 更新最小值

        cout << arr[i] << " "; // 输出
        i++;
    }
    cout << endl;

    cout << "平均值为: " << sum / 10 << endl;
    cout << "最大值为: " << max << endl;
    cout << "最小值为: " << min << endl;

    return 0;
}